Skip to main content
POST
/
api
/
v1
/
builder-agents
/
{uuid}
/
approve
Approve a build conversation
curl --request POST \
  --url https://{subdomain}.mihu.ai/api/v1/builder-agents/{uuid}/approve \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "lead-watcher",
    "prompt": "<string>",
    "message": "<string>",
    "questions": [
      "<string>"
    ],
    "builder": {
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "lead-watcher",
      "preview_url": "<string>",
      "service_token": "<string>",
      "entrypoint": "python3 main.py",
      "port": 8000,
      "auto_stop_interval": 0,
      "backup_interval_hours": 0,
      "review_passed": true,
      "qa_passed": true,
      "cost": {
        "currency": "EUR",
        "hourly_rate": 0.1965,
        "runtime_hours": 1.5,
        "cost": 0.29
      },
      "created_at": "2023-11-07T05:31:56Z"
    },
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Path Parameters

uuid
string<uuid>
required

Response

Approved; building.

success
boolean
Example:

true

data
object

An AI build conversation. While requirements are missing it stays 'processing' then 'gathering' (with questions); once answered it generates code and the status becomes 'deployed' (with a builder) or 'failed'.